Subject: bug#58992: 28.2; "lax space matching" no longer works

From: Vincent Lefevre <[email-masked]>
Date: Fri, 4 Nov 2022 04:30:38 +0100

On 2022-11-03 20:03:52 +0200, Eli Zaretskii wrote:
> > Date: Thu, 3 Nov 2022 18:21:57 +0100
> > From: Vincent Lefevre <[email-masked]>
> > Cc: [email-masked]
> > 
> > BTW, for users who do not spend their time in reading the full doc,
> > I'd suggest to clarify the doc by saying "one or more user-configurable
> > whitespace characters", because AFAIK, a newline character is often
> > regarded as a whitespace character, in particular by Unicode:
> > 
> >   https://en.wikipedia.org/wiki/Whitespace_character
> 
> Thanks, I moved the detailed description of what is considered
> "whitespace" closer to the first sentence.

The [[:space:]\n]+ in the doc is misleading. Since a newline character
is a whitespace, [[:space:]]+ is sufficient.

-- 
Vincent Lefèvre <[email-masked]> - Web: <https://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <https://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)